/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.util;


/**
 * This interface is used by the {@link GradientPainter} class whenever a property of the gradient changes.
 * E.g. if a color or style changes this method will be called.
 * This is useful for repainting the component that uses the GradientPainter.
 * 
 * @author Chris Callendar
 * @date 2-Nov-06
 */
public interface GradientChangeListener {

	/**
	 * Signals that the gradient has changed. 
	 * @param gp
	 */
	void gradientChanged(GradientPainter gp);
	
}
